Create connection

Creates a connection for a specific user and application.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Use this API to establish a connection between an embedded user and a third-party application using the required credentials.

This API supports apps that use api_key, basic_auth, or aws_signature authentication.

The returned key values (for example, apiKey, inbox_id) from the Get connection details API can then be used in the connectionInput object while creating the connection for the specified application.

Body Params
string
required

Unique identifier of the end user

string
required

Display name of the connection

json
required

Object containing app-specific credentials or inputs required to establish the connection. The names (apiKey, inbox_id) should match the fields returned from the Get connection details API. For example, {
"apiKey": "<api_key>",
"inbox_id": "<inbox_id>"
}

string
required

The app alias of which connection you want to create

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json